> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ofmonth

> MDO provider for the hard-coded list of "of" months in the recurrence dialog.

## "ofmonth" MDO List

MDO provider for the hard-coded list of "of" months in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.OfMonthProvider">OfMonthProvider</see> class.
The name of the MDO list is 'ofmonth'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ofmonth
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ofmonth", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint              | ExtraInfo               |
| -- | -------------- | ---------------------- | ----------------------- |
| 1  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_JANUARY]   |
| 2  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_FEBRUARY]  |
| 3  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_MARCH]     |
| 4  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_APRIL]     |
| 5  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_MAY]       |
| 6  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_JUNE]      |
| 7  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_JULY]      |
| 8  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_AUGUST]    |
| 9  | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_SEPTEMBER] |
| 10 | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_OCTOBER]   |
| 11 | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_NOVEMBER]  |
| 12 | of \$monthName | replacekey=\$monthName | \[SR\_MONTH\_DECEMBER]  |

## Related MDO Lists

* "ofmonthheadings"
* "ofmonthheadingswithallitem"
* "ofmonthheadingswithallitemwithnoselection"
* "ofmonthheadingswithnoselection"
* "ofmonthwithallitem"
* "ofmonthwithallitemwithnoselection"
* "ofmonthwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
